
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest1 {

  public static boolean debug = false;

  @Test
  public void test01() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test01"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    double d6 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-15d);

  }

  @Test
  public void test02() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test02"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(10.0d);
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test03() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test03"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);

  }

  @Test
  public void test04() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test04"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(100);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    int i4 = maxIterationsExceededException3.getMaxIterations();
    int i5 = maxIterationsExceededException3.getMaxIterations();
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)maxIterationsExceededException3);
    int i7 = maxIterationsExceededException3.getMaxIterations();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array14);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException15, "", obj_array18);
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array22);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException23, "", obj_array26);
    convergenceException19.addSuppressed((java.lang.Throwable)maxIterationsExceededException23);
    java.lang.Object[] obj_array29 = maxIterationsExceededException23.getArguments();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException10, "hi!", obj_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8, "hi!", obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException31);
    java.lang.String str33 = convergenceException32.getPattern();
    java.lang.Throwable[] throwable_array34 = convergenceException32.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + ""+ "'", str33.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);

  }

  @Test
  public void test05() {}
// Defects4J: flaky method
//   @Test
//   public void test05() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test05"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test06() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test06"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array10);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException11, "", obj_array14);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array18);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException19, "", obj_array22);
    convergenceException15.addSuppressed((java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array25 = maxIterationsExceededException19.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException6, "hi!", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array25);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException30);
    java.lang.String str32 = mathException30.toString();
    java.lang.Object[] obj_array33 = mathException30.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str32.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);

  }

  @Test
  public void test07() {}
// Defects4J: flaky method
//   @Test
//   public void test07() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test07"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     double d4 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(0.0d);
//     double d7 = brentSolver0.getRelativeAccuracy();
//     double d8 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d12 = brentSolver0.solve(1.0E-15d, (-1.0d));
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.0d);
// 
//   }

  @Test
  public void test08() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test08"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array5);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException6, "", obj_array9);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array13);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException14, "", obj_array17);
    convergenceException10.addSuppressed((java.lang.Throwable)maxIterationsExceededException14);
    java.lang.Object[] obj_array20 = maxIterationsExceededException14.getArguments();
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1, "hi!", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: hi!", obj_array20);
    java.lang.Object[] obj_array23 = convergenceException22.getArguments();
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array26);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException27, "", obj_array30);
    java.lang.Object[] obj_array34 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array34);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException35, "", obj_array38);
    convergenceException31.addSuppressed((java.lang.Throwable)maxIterationsExceededException35);
    java.lang.Throwable[] throwable_array41 = maxIterationsExceededException35.getSuppressed();
    convergenceException22.addSuppressed((java.lang.Throwable)maxIterationsExceededException35);
    int i43 = maxIterationsExceededException35.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);

  }

  @Test
  public void test09() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test09"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(100);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    int i4 = maxIterationsExceededException3.getMaxIterations();
    int i5 = maxIterationsExceededException3.getMaxIterations();
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)maxIterationsExceededException3);
    int i7 = maxIterationsExceededException3.getMaxIterations();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3);
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8, "", obj_array10);
    java.lang.Object[] obj_array12 = mathException11.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    java.lang.String str16 = maxIterationsExceededException15.getPattern();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array24);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException25, "", obj_array28);
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array32);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException33, "", obj_array36);
    convergenceException29.addSuppressed((java.lang.Throwable)maxIterationsExceededException33);
    java.lang.Object[] obj_array39 = maxIterationsExceededException33.getArguments();
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException20, "hi!", obj_array39);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("", obj_array39);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("", obj_array39);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException15, "hi!", obj_array39);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException15);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException44);
    java.lang.Object[] obj_array46 = mathException44.getArguments();
    java.lang.String str47 = mathException44.toString();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    int i50 = maxIterationsExceededException49.getMaxIterations();
    int i51 = maxIterationsExceededException49.getMaxIterations();
    mathException44.addSuppressed((java.lang.Throwable)maxIterationsExceededException49);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException44);
    java.lang.String str54 = mathException44.getPattern();
    java.lang.Object[] obj_array57 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException58 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array57);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException58);
    int i60 = maxIterationsExceededException58.getMaxIterations();
    mathException44.addSuppressed((java.lang.Throwable)maxIterationsExceededException58);
    java.lang.String str62 = maxIterationsExceededException58.toString();
    java.lang.String str63 = maxIterationsExceededException58.getPattern();
    java.lang.Object[] obj_array64 = maxIterationsExceededException58.getArguments();
    mathException13.addSuppressed((java.lang.Throwable)maxIterationsExceededException58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str16.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str47.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + ""+ "'", str54.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: hi!"+ "'", str62.equals("org.apache.commons.math.MaxIterationsExceededException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "hi!"+ "'", str63.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);

  }

  @Test
  public void test10() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test10"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetAbsoluteAccuracy();
    double d2 = brentSolver0.getFunctionValueAccuracy();
    double d3 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-15d);

  }

  @Test
  public void test11() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test11"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.resetAbsoluteAccuracy();
    double d10 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test12() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test12"); }


    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array4);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException5, "", obj_array8);
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array12);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException13, "", obj_array16);
    convergenceException9.addSuppressed((java.lang.Throwable)maxIterationsExceededException13);
    java.lang.Throwable[] throwable_array19 = maxIterationsExceededException13.getSuppressed();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array22 = mathException21.getArguments();
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test13() {}
// Defects4J: flaky method
//   @Test
//   public void test13() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test13"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(10.0d);
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i6 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i6 == 0);
// 
//   }

  @Test
  public void test14() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test14"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setMaximalIterationCount(10);
    double d12 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    int i15 = brentSolver0.getIterationCount();
    brentSolver0.setMaximalIterationCount((-1));
    double d18 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0E-15d);

  }

  @Test
  public void test15() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test15"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array3);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4, "", obj_array7);
    java.lang.Object[] obj_array11 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array11);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException12, "", obj_array15);
    convergenceException8.addSuppressed((java.lang.Throwable)maxIterationsExceededException12);
    java.lang.Throwable[] throwable_array18 = maxIterationsExceededException12.getSuppressed();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException19);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array28);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException29, "", obj_array32);
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array36);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException37, "", obj_array40);
    convergenceException33.addSuppressed((java.lang.Throwable)maxIterationsExceededException37);
    java.lang.Object[] obj_array43 = maxIterationsExceededException37.getArguments();
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException24, "hi!", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("", obj_array43);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException20, "", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);

  }

  @Test
  public void test16() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test16"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);

  }

  @Test
  public void test17() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test17"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    double d14 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0E-6d);

  }

  @Test
  public void test18() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test18"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    int i9 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test19() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test19"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(100);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    int i4 = maxIterationsExceededException3.getMaxIterations();
    int i5 = maxIterationsExceededException3.getMaxIterations();
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)maxIterationsExceededException3);
    int i7 = maxIterationsExceededException3.getMaxIterations();
    java.lang.String str8 = maxIterationsExceededException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded"+ "'", str8.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded"));

  }

  @Test
  public void test20() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test20"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException0);
    java.lang.String str2 = mathException1.toString();
    java.lang.String str3 = mathException1.getPattern();
    java.lang.Throwable[] throwable_array4 = mathException1.getSuppressed();
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException13);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array18);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException19, "", obj_array22);
    java.lang.Object[] obj_array26 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array26);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException27, "", obj_array30);
    convergenceException23.addSuppressed((java.lang.Throwable)maxIterationsExceededException27);
    java.lang.Throwable[] throwable_array33 = maxIterationsExceededException27.getSuppressed();
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException13, "", (java.lang.Object[])throwable_array33);
    java.lang.Object[] obj_array35 = maxIterationsExceededException13.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", obj_array35);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(0, "", obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded", obj_array35);
    java.lang.String str39 = mathException1.toString();
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str2.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str39.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test21() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test21"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array8);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException9, "", obj_array12);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array16);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException17, "", obj_array20);
    convergenceException13.addSuppressed((java.lang.Throwable)maxIterationsExceededException17);
    java.lang.Object[] obj_array23 = maxIterationsExceededException17.getArguments();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException4, "hi!", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: hi!", obj_array23);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array23);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test22() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test22"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);

  }

  @Test
  public void test23() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test23"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setMaximalIterationCount(10);
    double d12 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i14 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test24() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test24"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setMaximalIterationCount(10);
    double d12 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i14 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    int i16 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test25() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test25"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array4 = maxIterationsExceededException3.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: ", obj_array4);
    java.lang.String str6 = maxIterationsExceededException5.getPattern();
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException5, "org.apache.commons.math.MathException: hi!", obj_array8);
    java.lang.String str10 = maxIterationsExceededException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.ConvergenceException: "+ "'", str6.equals("org.apache.commons.math.ConvergenceException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: "+ "'", str10.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: "));

  }

  @Test
  public void test26() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test26"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-15d);
    double d9 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0E-15d);

  }

  @Test
  public void test27() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test27"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array10);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException11, "", obj_array14);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array18);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException19, "", obj_array22);
    convergenceException15.addSuppressed((java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array25 = maxIterationsExceededException19.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException6, "hi!", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array25);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException30);
    java.lang.Object[] obj_array32 = mathException30.getArguments();
    java.lang.String str33 = mathException30.toString();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    int i36 = maxIterationsExceededException35.getMaxIterations();
    int i37 = maxIterationsExceededException35.getMaxIterations();
    mathException30.addSuppressed((java.lang.Throwable)maxIterationsExceededException35);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException30);
    java.lang.String str40 = mathException30.getPattern();
    java.lang.Object[] obj_array43 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException44);
    int i46 = maxIterationsExceededException44.getMaxIterations();
    mathException30.addSuppressed((java.lang.Throwable)maxIterationsExceededException44);
    java.lang.String str48 = maxIterationsExceededException44.toString();
    java.lang.String str49 = maxIterationsExceededException44.getPattern();
    java.lang.String str50 = maxIterationsExceededException44.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str33.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + ""+ "'", str40.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: hi!"+ "'", str48.equals("org.apache.commons.math.MaxIterationsExceededException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "hi!"+ "'", str49.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "hi!"+ "'", str50.equals("hi!"));

  }

  @Test
  public void test28() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test28"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);

  }

  @Test
  public void test29() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test29"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = maxIterationsExceededException4.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: ", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test30() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test30"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array2);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException3, "", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException10);
    java.lang.Object[] obj_array13 = mathException12.getArguments();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3, "org.apache.commons.math.MathException: ", obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test31() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test31"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array4);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException5, "", obj_array8);
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array12);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException13, "", obj_array16);
    convergenceException9.addSuppressed((java.lang.Throwable)maxIterationsExceededException13);
    java.lang.Object[] obj_array19 = maxIterationsExceededException13.getArguments();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException0, "hi!", obj_array19);
    java.lang.Throwable[] throwable_array21 = mathException20.getSuppressed();
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MathException: hi!", obj_array24);
    mathException20.addSuppressed((java.lang.Throwable)maxIterationsExceededException25);
    int i27 = maxIterationsExceededException25.getMaxIterations();
    int i28 = maxIterationsExceededException25.getMaxIterations();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    java.lang.String str32 = maxIterationsExceededException31.getPattern();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException41 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array40);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException41, "", obj_array44);
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array48);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException49, "", obj_array52);
    convergenceException45.addSuppressed((java.lang.Throwable)maxIterationsExceededException49);
    java.lang.Object[] obj_array55 = maxIterationsExceededException49.getArguments();
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException36, "hi!", obj_array55);
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException("", obj_array55);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("", obj_array55);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException31, "hi!", obj_array55);
    java.lang.Object[] obj_array60 = convergenceException59.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException25, "org.apache.commons.math.MaxIterationsExceededException: ", obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str32.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);

  }

  @Test
  public void test32() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test32"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    int i6 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy(1.0E-14d);
    brentSolver0.setRelativeAccuracy(1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 100);

  }

  @Test
  public void test33() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test33"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException0);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException0);
    java.lang.Object[] obj_array3 = mathException2.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    java.lang.String str6 = maxIterationsExceededException5.getPattern();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array14);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException15, "", obj_array18);
    java.lang.Object[] obj_array22 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array22);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException23, "", obj_array26);
    convergenceException19.addSuppressed((java.lang.Throwable)maxIterationsExceededException23);
    java.lang.Object[] obj_array29 = maxIterationsExceededException23.getArguments();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException10, "hi!", obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("", obj_array29);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("", obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException5, "hi!", obj_array29);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException5);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException34);
    java.lang.Object[] obj_array36 = mathException34.getArguments();
    java.lang.String str37 = mathException34.toString();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    int i40 = maxIterationsExceededException39.getMaxIterations();
    int i41 = maxIterationsExceededException39.getMaxIterations();
    mathException34.addSuppressed((java.lang.Throwable)maxIterationsExceededException39);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException34);
    mathException2.addSuppressed((java.lang.Throwable)mathException34);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str6.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str37.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == (-1));

  }

  @Test
  public void test34() {}
// Defects4J: flaky method
//   @Test
//   public void test34() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test34"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     double d4 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     double d6 = brentSolver0.getFunctionValueAccuracy();
//     double d7 = brentSolver0.getAbsoluteAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(100.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-6d);
// 
//   }

  @Test
  public void test35() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test35"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    int i2 = maxIterationsExceededException1.getMaxIterations();
    int i3 = maxIterationsExceededException1.getMaxIterations();
    int i4 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test36() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test36"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetAbsoluteAccuracy();
    double d2 = brentSolver0.getFunctionValueAccuracy();
    double d3 = brentSolver0.getFunctionValueAccuracy();
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);

  }

  @Test
  public void test37() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test37"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i15 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);

  }

  @Test
  public void test38() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test38"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount(10);
    brentSolver0.resetFunctionValueAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction9 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = brentSolver0.solve(univariateRealFunction9, 1.0E-15d, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);

  }

  @Test
  public void test39() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test39"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array5);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException6, "", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1, "hi!", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException11);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array16);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException17, "", obj_array20);
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array24);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException25, "", obj_array28);
    convergenceException21.addSuppressed((java.lang.Throwable)maxIterationsExceededException25);
    java.lang.Object[] obj_array31 = maxIterationsExceededException25.getArguments();
    int i32 = maxIterationsExceededException25.getMaxIterations();
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array35);
    java.lang.Object[] obj_array39 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException36, "", obj_array39);
    java.lang.Object[] obj_array43 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array43);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException44, "", obj_array47);
    convergenceException40.addSuppressed((java.lang.Throwable)maxIterationsExceededException44);
    java.lang.Object[] obj_array50 = maxIterationsExceededException44.getArguments();
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException55 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array54);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException55, "", obj_array58);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException44, "hi!", obj_array58);
    maxIterationsExceededException25.addSuppressed((java.lang.Throwable)mathException60);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array67 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array67);
    java.lang.Object[] obj_array71 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException68, "", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException63, "hi!", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException60, "", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException12, "", obj_array71);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException("", obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);

  }

  @Test
  public void test40() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test40"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    double d2 = brentSolver0.getRelativeAccuracy();
    double d3 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);

  }

  @Test
  public void test41() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test41"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(100);
    int i15 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);

  }

  @Test
  public void test42() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test42"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array7 = maxIterationsExceededException6.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(10, "Maximal number of iterations ({0}) exceeded", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array7);
    java.lang.String str11 = maxIterationsExceededException10.toString();
    java.lang.Throwable[] throwable_array12 = maxIterationsExceededException10.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str11.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test43() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test43"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array9);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException10, "", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException5, "hi!", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException3, "hi!", obj_array13);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array23 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array23);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException24, "", obj_array27);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array31);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException32, "", obj_array35);
    convergenceException28.addSuppressed((java.lang.Throwable)maxIterationsExceededException32);
    java.lang.Object[] obj_array38 = maxIterationsExceededException32.getArguments();
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException19, "hi!", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("", obj_array38);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException16, "org.apache.commons.math.MaxIterationsExceededException: ", obj_array38);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.MaxIterationsExceededException: ", obj_array38);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array48);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException49, "", obj_array52);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException44, "hi!", obj_array52);
    java.lang.Object[] obj_array55 = convergenceException54.getArguments();
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException42, "hi!", obj_array55);
    int i57 = maxIterationsExceededException42.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);

  }

  @Test
  public void test44() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test44"); }


    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException4);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array11 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array11);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException12, "", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException7, "hi!", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException5, "hi!", obj_array15);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array25);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException26, "", obj_array29);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array33);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException34, "", obj_array37);
    convergenceException30.addSuppressed((java.lang.Throwable)maxIterationsExceededException34);
    java.lang.Object[] obj_array40 = maxIterationsExceededException34.getArguments();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException21, "hi!", obj_array40);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("", obj_array40);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException18, "org.apache.commons.math.MaxIterationsExceededException: ", obj_array40);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.MaxIterationsExceededException: ", obj_array40);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array50 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array50);
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException51, "", obj_array54);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException46, "hi!", obj_array54);
    java.lang.Object[] obj_array57 = convergenceException56.getArguments();
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException44, "hi!", obj_array57);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException62 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    java.lang.String str63 = maxIterationsExceededException62.toString();
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array72 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException73 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array72);
    java.lang.Object[] obj_array76 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException73, "", obj_array76);
    java.lang.Object[] obj_array80 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException81 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array80);
    java.lang.Object[] obj_array84 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException81, "", obj_array84);
    convergenceException77.addSuppressed((java.lang.Throwable)maxIterationsExceededException81);
    java.lang.Object[] obj_array87 = maxIterationsExceededException81.getArguments();
    org.apache.commons.math.MathException mathException88 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException68, "hi!", obj_array87);
    org.apache.commons.math.ConvergenceException convergenceException89 = new org.apache.commons.math.ConvergenceException("", obj_array87);
    org.apache.commons.math.MathException mathException90 = new org.apache.commons.math.MathException("", obj_array87);
    org.apache.commons.math.MathException mathException91 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded", obj_array87);
    org.apache.commons.math.ConvergenceException convergenceException92 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException62, "org.apache.commons.math.ConvergenceException: ", obj_array87);
    org.apache.commons.math.ConvergenceException convergenceException93 = new org.apache.commons.math.ConvergenceException("hi!", obj_array87);
    org.apache.commons.math.MathException mathException94 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException44, "Maximal number of iterations ({0}) exceeded", obj_array87);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException95 = new org.apache.commons.math.MaxIterationsExceededException(0, "Maximal number of iterations ({0}) exceeded", obj_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded"+ "'", str63.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);

  }

  @Test
  public void test45() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test45"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(1.0E-15d);
    double d10 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount((-1));
    double d14 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 10.0d);

  }

  @Test
  public void test46() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test46"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setMaximalIterationCount(10);
    double d12 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    int i14 = brentSolver0.getIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test47() {}
// Defects4J: flaky method
//   @Test
//   public void test47() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test47"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(10.0d);
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(10.0d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.setMaximalIterationCount(10);
//     int i12 = brentSolver0.getIterationCount();
//     int i13 = brentSolver0.getMaximalIterationCount();
//     brentSolver0.setRelativeAccuracy(1.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 10.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == 10);
// 
//   }

  @Test
  public void test48() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test48"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    double d6 = brentSolver0.getRelativeAccuracy();
    int i7 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);

  }

  @Test
  public void test49() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test49"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    int i4 = brentSolver0.getIterationCount();
    int i5 = brentSolver0.getIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test50() {}
// Defects4J: flaky method
//   @Test
//   public void test50() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test50"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(10.0d);
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(10.0d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(1.0E-15d);
//     double d10 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.setMaximalIterationCount((-1));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d14 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 10.0d);
// 
//   }

  @Test
  public void test51() {}
// Defects4J: flaky method
//   @Test
//   public void test51() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test51"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(10.0d);
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(10.0d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.setMaximalIterationCount(10);
//     double d12 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetFunctionValueAccuracy();
//     int i15 = brentSolver0.getIterationCount();
//     brentSolver0.setMaximalIterationCount((-1));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d21 = brentSolver0.solve(1.0d, 1.0E-14d, 1.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 10.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 10.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i15 == 0);
// 
//   }

  @Test
  public void test52() {}
// Defects4J: flaky method
//   @Test
//   public void test52() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test52"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setAbsoluteAccuracy(1.0E-15d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getResult();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test53() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test53"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array7);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException8, "", obj_array11);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array15);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException16, "", obj_array19);
    convergenceException12.addSuppressed((java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Object[] obj_array22 = maxIterationsExceededException16.getArguments();
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3, "hi!", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded", obj_array22);
    java.lang.Throwable[] throwable_array27 = mathException26.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);

  }

  @Test
  public void test54() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test54"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    int i10 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);

  }

  @Test
  public void test55() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test55"); }


    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array6);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException7, "", obj_array10);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array14);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException15, "", obj_array18);
    convergenceException11.addSuppressed((java.lang.Throwable)maxIterationsExceededException15);
    java.lang.Object[] obj_array21 = maxIterationsExceededException15.getArguments();
    int i22 = maxIterationsExceededException15.getMaxIterations();
    java.lang.Object[] obj_array25 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array25);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException26, "", obj_array29);
    java.lang.Object[] obj_array33 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array33);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException34, "", obj_array37);
    convergenceException30.addSuppressed((java.lang.Throwable)maxIterationsExceededException34);
    java.lang.Object[] obj_array40 = maxIterationsExceededException34.getArguments();
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array44);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException45, "", obj_array48);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException34, "hi!", obj_array48);
    maxIterationsExceededException15.addSuppressed((java.lang.Throwable)mathException50);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array57 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException58 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array57);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException58, "", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException53, "hi!", obj_array61);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException50, "", obj_array61);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException65 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MaxIterationsExceededException: ", obj_array61);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException66 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array61);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array71 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException72 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array71);
    java.lang.Object[] obj_array75 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException72, "", obj_array75);
    java.lang.Object[] obj_array79 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException80 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array79);
    java.lang.Object[] obj_array83 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException84 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException80, "", obj_array83);
    convergenceException76.addSuppressed((java.lang.Throwable)maxIterationsExceededException80);
    java.lang.Object[] obj_array86 = maxIterationsExceededException80.getArguments();
    org.apache.commons.math.MathException mathException87 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException67, "hi!", obj_array86);
    java.lang.Throwable[] throwable_array88 = mathException87.getSuppressed();
    java.lang.Object[] obj_array91 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException92 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MathException: hi!", obj_array91);
    mathException87.addSuppressed((java.lang.Throwable)maxIterationsExceededException92);
    int i94 = maxIterationsExceededException92.getMaxIterations();
    int i95 = maxIterationsExceededException92.getMaxIterations();
    maxIterationsExceededException66.addSuppressed((java.lang.Throwable)maxIterationsExceededException92);
    int i97 = maxIterationsExceededException92.getMaxIterations();
    int i98 = maxIterationsExceededException92.getMaxIterations();
    java.lang.Object[] obj_array99 = maxIterationsExceededException92.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i94 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i95 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i97 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i98 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array99);

  }

  @Test
  public void test56() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test56"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array3);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4, "", obj_array7);
    java.lang.Object[] obj_array11 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array11);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException12, "", obj_array15);
    convergenceException8.addSuppressed((java.lang.Throwable)maxIterationsExceededException12);
    java.lang.Throwable[] throwable_array18 = maxIterationsExceededException12.getSuppressed();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException19);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array28);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException29, "", obj_array32);
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array36);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException37, "", obj_array40);
    convergenceException33.addSuppressed((java.lang.Throwable)maxIterationsExceededException37);
    java.lang.Object[] obj_array43 = maxIterationsExceededException37.getArguments();
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException24, "hi!", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("", obj_array43);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException20, "", obj_array43);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    mathException20.addSuppressed((java.lang.Throwable)maxIterationsExceededException49);
    java.lang.String str51 = mathException20.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str51.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test57() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test57"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);

  }

  @Test
  public void test58() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test58"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException3);
    java.lang.Object[] obj_array5 = maxIterationsExceededException3.getArguments();
    int i6 = maxIterationsExceededException3.getMaxIterations();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3);
    java.lang.Object[] obj_array8 = mathException7.getArguments();
    java.lang.Throwable throwable9 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathException7.addSuppressed(throwable9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test59() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test59"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setMaximalIterationCount(10);
    double d12 = brentSolver0.getRelativeAccuracy();
    double d13 = brentSolver0.getAbsoluteAccuracy();
    brentSolver0.setFunctionValueAccuracy(1.0E-6d);
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);

  }

  @Test
  public void test60() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test60"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    double d2 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-14d);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);

  }

  @Test
  public void test61() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test61"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    int i5 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);

  }

  @Test
  public void test62() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test62"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(10.0d);
    brentSolver0.setMaximalIterationCount(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);

  }

  @Test
  public void test63() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test63"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(0.0d);
    double d7 = brentSolver0.getRelativeAccuracy();
    int i8 = brentSolver0.getIterationCount();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setFunctionValueAccuracy((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test64() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test64"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    java.lang.String str2 = maxIterationsExceededException1.toString();
    int i3 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded"+ "'", str2.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test65() {}
// Defects4J: flaky method
//   @Test
//   public void test65() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test65"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     brentSolver0.resetFunctionValueAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     double d4 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction6 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.solve(univariateRealFunction6, 10.0d, 10.0d, 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-15d);
// 
//   }

  @Test
  public void test66() {}
// Defects4J: flaky method
//   @Test
//   public void test66() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test66"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setRelativeAccuracy(1.0E-6d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(1.0E-15d, 1.0E-15d, 100.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
// 
//   }

  @Test
  public void test67() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test67"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(100);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array5 = maxIterationsExceededException4.getArguments();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", obj_array5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException6);
    maxIterationsExceededException1.addSuppressed((java.lang.Throwable)mathException6);
    java.lang.String str10 = maxIterationsExceededException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded"+ "'", str10.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded"));

  }

  @Test
  public void test68() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test68"); }


    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array5);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException6, "", obj_array9);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array13);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException14, "", obj_array17);
    convergenceException10.addSuppressed((java.lang.Throwable)maxIterationsExceededException14);
    java.lang.Object[] obj_array20 = maxIterationsExceededException14.getArguments();
    java.lang.Object[] obj_array24 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array24);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException25, "", obj_array28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException14, "hi!", obj_array28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", obj_array28);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);

  }

  @Test
  public void test69() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test69"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetAbsoluteAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);

  }

  @Test
  public void test70() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test70"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = brentSolver0.solve(univariateRealFunction3, 0.0d, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test71() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test71"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4);
    java.lang.Object[] obj_array6 = maxIterationsExceededException4.getArguments();
    int i7 = maxIterationsExceededException4.getMaxIterations();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException4);
    java.lang.Object[] obj_array9 = mathException8.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test72() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test72"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getAbsoluteAccuracy();
    double d5 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setAbsoluteAccuracy(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-14d);

  }

  @Test
  public void test73() {}
// Defects4J: flaky method
//   @Test
//   public void test73() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test73"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(10.0d);
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(10.0d);
//     brentSolver0.setAbsoluteAccuracy(0.0d);
//     brentSolver0.resetFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
// 
//   }

  @Test
  public void test74() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test74"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException3);
    java.lang.Object[] obj_array5 = maxIterationsExceededException3.getArguments();
    int i6 = maxIterationsExceededException3.getMaxIterations();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException3);
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: ", obj_array10);
    java.lang.Object[] obj_array12 = convergenceException11.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException7, "org.apache.commons.math.MathException: hi!", obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test75() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test75"); }


    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array5);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException6);
    java.lang.Object[] obj_array8 = maxIterationsExceededException6.getArguments();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test76() {}
// Defects4J: flaky method
//   @Test
//   public void test76() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test76"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     brentSolver0.resetMaximalIterationCount();
//     brentSolver0.setRelativeAccuracy(10.0d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d9 = brentSolver0.getFunctionValue();
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalStateException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
// 
//   }

  @Test
  public void test77() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test77"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy(1.0E-15d);
    double d10 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setMaximalIterationCount((-1));
    brentSolver0.resetFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10.0d);

  }

  @Test
  public void test78() {}
// Defects4J: flaky method
//   @Test
//   public void test78() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test78"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(10.0d);
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(10.0d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.setMaximalIterationCount(10);
//     double d12 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(1.0E-15d, 100.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 10.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 10.0d);
// 
//   }

  @Test
  public void test79() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test79"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array10);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException11, "", obj_array14);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array18);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException19, "", obj_array22);
    convergenceException15.addSuppressed((java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array25 = maxIterationsExceededException19.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException6, "hi!", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array25);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException30);
    java.lang.Object[] obj_array32 = mathException30.getArguments();
    java.lang.String str33 = mathException30.toString();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    int i36 = maxIterationsExceededException35.getMaxIterations();
    int i37 = maxIterationsExceededException35.getMaxIterations();
    mathException30.addSuppressed((java.lang.Throwable)maxIterationsExceededException35);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException30);
    java.lang.String str40 = mathException30.getPattern();
    java.lang.Object[] obj_array43 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException44);
    int i46 = maxIterationsExceededException44.getMaxIterations();
    mathException30.addSuppressed((java.lang.Throwable)maxIterationsExceededException44);
    java.lang.String str48 = maxIterationsExceededException44.toString();
    java.lang.String str49 = maxIterationsExceededException44.getPattern();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException56 = new org.apache.commons.math.MaxIterationsExceededException(0);
    java.lang.Object[] obj_array57 = maxIterationsExceededException56.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException58 = new org.apache.commons.math.MaxIterationsExceededException(10, "Maximal number of iterations ({0}) exceeded", obj_array57);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", obj_array57);
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded", obj_array57);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException44, "org.apache.commons.math.ConvergenceException: ", obj_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str33.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + ""+ "'", str40.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: hi!"+ "'", str48.equals("org.apache.commons.math.MaxIterationsExceededException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "hi!"+ "'", str49.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array57);

  }

  @Test
  public void test80() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test80"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setMaximalIterationCount(10);
    double d12 = brentSolver0.getRelativeAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setAbsoluteAccuracy((-1.0d));
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);

  }

  @Test
  public void test81() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test81"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetAbsoluteAccuracy();
    double d2 = brentSolver0.getFunctionValueAccuracy();
    double d3 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);

  }

  @Test
  public void test82() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test82"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    double d4 = brentSolver0.getRelativeAccuracy();
    brentSolver0.setRelativeAccuracy(10.0d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setMaximalIterationCount(100);
    double d12 = brentSolver0.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);

  }

  @Test
  public void test83() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test83"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(100.0d);
    brentSolver0.setAbsoluteAccuracy(100.0d);

  }

  @Test
  public void test84() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test84"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setMaximalIterationCount(1);
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.setMaximalIterationCount(1);

  }

  @Test
  public void test85() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test85"); }


    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException5 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array4);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException5, "", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(1, "", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array20);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException21, "", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException16, "hi!", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException14, "hi!", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", obj_array24);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded", obj_array24);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test86() {}
// Defects4J: flaky method
//   @Test
//   public void test86() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test86"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setFunctionValueAccuracy(10.0d);
//     double d4 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.setRelativeAccuracy(10.0d);
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setAbsoluteAccuracy(100.0d);
//     brentSolver0.setMaximalIterationCount(10);
//     double d12 = brentSolver0.getRelativeAccuracy();
//     brentSolver0.resetRelativeAccuracy();
//     org.apache.commons.math.analysis.UnivariateRealFunction univariateRealFunction14 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d17 = brentSolver0.solve(univariateRealFunction14, 1.0d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-14d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 10.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 10.0d);
// 
//   }

  @Test
  public void test87() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test87"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array3);
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException4, "", obj_array7);
    java.lang.Object[] obj_array11 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array11);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException12, "", obj_array15);
    convergenceException8.addSuppressed((java.lang.Throwable)maxIterationsExceededException12);
    java.lang.Throwable[] throwable_array18 = maxIterationsExceededException12.getSuppressed();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException19);
    java.lang.Throwable[] throwable_array21 = mathException19.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);

  }

  @Test
  public void test88() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test88"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array2);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException3, "", obj_array6);
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array10);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException11, "", obj_array14);
    convergenceException7.addSuppressed((java.lang.Throwable)maxIterationsExceededException11);
    java.lang.Throwable[] throwable_array17 = maxIterationsExceededException11.getSuppressed();
    java.lang.Throwable[] throwable_array18 = maxIterationsExceededException11.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    maxIterationsExceededException11.addSuppressed((java.lang.Throwable)maxIterationsExceededException20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    java.lang.String str24 = maxIterationsExceededException23.getPattern();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array32);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException33, "", obj_array36);
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException41 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array40);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException41, "", obj_array44);
    convergenceException37.addSuppressed((java.lang.Throwable)maxIterationsExceededException41);
    java.lang.Object[] obj_array47 = maxIterationsExceededException41.getArguments();
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException28, "hi!", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException23, "hi!", obj_array47);
    java.lang.Object[] obj_array57 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException58 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array57);
    java.lang.Throwable[] throwable_array59 = maxIterationsExceededException58.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException60 = new org.apache.commons.math.MaxIterationsExceededException(0, "", (java.lang.Object[])throwable_array59);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException23, "Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array59);
    maxIterationsExceededException11.addSuppressed((java.lang.Throwable)maxIterationsExceededException23);
    java.lang.String str63 = maxIterationsExceededException23.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str24.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded"+ "'", str63.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (-1) exceeded"));

  }

  @Test
  public void test89() {}
// Defects4J: flaky method
//   @Test
//   public void test89() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test89"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.setRelativeAccuracy(0.0d);
//     double d4 = brentSolver0.getFunctionValueAccuracy();
//     double d5 = brentSolver0.getFunctionValueAccuracy();
//     double d6 = brentSolver0.getAbsoluteAccuracy();
//     double d7 = brentSolver0.getFunctionValueAccuracy();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = brentSolver0.solve(1.0E-14d, 1.0E-14d, 1.0E-15d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d4 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 1.0E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0E-15d);
// 
//   }

  @Test
  public void test90() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test90"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setAbsoluteAccuracy(10.0d);
    brentSolver0.setFunctionValueAccuracy(1.0E-6d);
    double d12 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0E-6d);

  }

  @Test
  public void test91() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test91"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.resetMaximalIterationCount();

  }

  @Test
  public void test92() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test92"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.resetRelativeAccuracy();
    brentSolver0.resetRelativeAccuracy();
    double d4 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.resetFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(100.0d);
    brentSolver0.resetRelativeAccuracy();
    double d9 = brentSolver0.getFunctionValueAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);

  }

  @Test
  public void test93() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test93"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    brentSolver0.resetMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    double d7 = brentSolver0.getFunctionValueAccuracy();
    double d8 = brentSolver0.getRelativeAccuracy();
    int i9 = brentSolver0.getMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);

  }

  @Test
  public void test94() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test94"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setFunctionValueAccuracy(10.0d);
    int i4 = brentSolver0.getMaximalIterationCount();
    brentSolver0.resetAbsoluteAccuracy();
    brentSolver0.setRelativeAccuracy(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 100);

  }

  @Test
  public void test95() {}
// Defects4J: flaky method
//   @Test
//   public void test95() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test95"); }
// 
// 
//     org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
//     double d1 = brentSolver0.getFunctionValueAccuracy();
//     brentSolver0.resetAbsoluteAccuracy();
//     int i3 = brentSolver0.getIterationCount();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d6 = brentSolver0.solve(100.0d, 100.0d);
//       org.junit.Assert.fail("Expected exception of type null");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("null")) {
//         org.junit.Assert.fail("Expected exception of type null, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d1 == 1.0E-15d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i3 == 0);
// 
//   }

  @Test
  public void test96() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test96"); }


    org.apache.commons.math.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    brentSolver0.setRelativeAccuracy(0.0d);
    double d4 = brentSolver0.getFunctionValueAccuracy();
    double d5 = brentSolver0.getFunctionValueAccuracy();
    double d6 = brentSolver0.getAbsoluteAccuracy();
    double d7 = brentSolver0.getAbsoluteAccuracy();
    int i8 = brentSolver0.getMaximalIterationCount();
    brentSolver0.setRelativeAccuracy(100.0d);
    brentSolver0.resetMaximalIterationCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test97() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test97"); }


    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array7);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException8, "", obj_array11);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array15);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException16, "", obj_array19);
    convergenceException12.addSuppressed((java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Throwable[] throwable_array22 = maxIterationsExceededException16.getSuppressed();
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException23);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array32 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array32);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException33, "", obj_array36);
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException41 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array40);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException41, "", obj_array44);
    convergenceException37.addSuppressed((java.lang.Throwable)maxIterationsExceededException41);
    java.lang.Object[] obj_array47 = maxIterationsExceededException41.getArguments();
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException28, "hi!", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException24, "", obj_array47);
    java.lang.Throwable[] throwable_array52 = convergenceException51.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array52);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array52);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException55 = new org.apache.commons.math.MaxIterationsExceededException(1, "", (java.lang.Object[])throwable_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array52);

  }

  @Test
  public void test98() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test98"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array10);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException11, "", obj_array14);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array18);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException19, "", obj_array22);
    convergenceException15.addSuppressed((java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array25 = maxIterationsExceededException19.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException6, "hi!", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1, "hi!", obj_array25);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException30);
    java.lang.Object[] obj_array32 = mathException30.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    java.lang.String str36 = maxIterationsExceededException35.getPattern();
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array44);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException45, "", obj_array48);
    java.lang.Object[] obj_array52 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException53 = new org.apache.commons.math.MaxIterationsExceededException(0, "hi!", obj_array52);
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException53, "", obj_array56);
    convergenceException49.addSuppressed((java.lang.Throwable)maxIterationsExceededException53);
    java.lang.Object[] obj_array59 = maxIterationsExceededException53.getArguments();
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException40, "hi!", obj_array59);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException("", obj_array59);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("", obj_array59);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException35, "hi!", obj_array59);
    java.lang.Object[] obj_array64 = convergenceException63.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException63);
    java.lang.Object[] obj_array66 = convergenceException63.getArguments();
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException30, "org.apache.commons.math.ConvergenceException: hi!", obj_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str36.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array66);

  }

}
